package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 权重
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum WeightEnum {

    /**
     * 权重1
     */
    ONE(1),

    /**
     * 权重2
     */
    TWO(2),

    /**
     * 权重3
     */
    THREE(3),

    ;
    private int weight;



    public static WeightEnum getEnum(String weight) {
        WeightEnum[] values = values();
        if (weight == null) {
            return null;
        }
        for (WeightEnum value : values) {
            if (weight.equals(value.weight)) {
                return value;
            }
        }
        return null;
    }


}
