package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 执行依从性评价 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ExecuteLevelEnum {

    /**
     * 差
     */
    BAD("2", "差"),
    /**
     * 较差
     */
    POOR("1", "较差"),
    /**
     * 好
     */
    GOOD("0", "好"),

    ;
    private String level;

    private String describe;


    public static ExecuteLevelEnum getEnum(String level) {
        ExecuteLevelEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (ExecuteLevelEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
