package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 减重速度 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LoseWeightEnum {

    /**
     * 标准
     */
    NORMAL("NORMAL", "标准"),
    /**
     * 较快
     */
    FASTER("FASTER", "较快"),


    ;
    private String level;

    private String describe;


    public static LoseWeightEnum getEnum(String level) {
        LoseWeightEnum[] values = values();
        if (level == null) {
            return null;
        }
        for (LoseWeightEnum value : values) {
            if (level.equals(value.level)) {
                return value;
            }
        }
        return null;
    }
}
