package com.jiankangyouyi.cloud.assessment.enums.assessment200101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 肥胖 评级Enum
 * <p>
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ObesityLevelEnum {

    /**
     * 肥胖
     */
    OBESITY("OBESITY", "肥胖"),
    /**
     * 超重
     */
    OVERWEIGHT("OVERWEIGHT", "超重"),
    /**
     * 标准
     */
    NORMAL("NORMAL", "标准"),
    /**
     * 消瘦
     */
    THIN("THIN", "消瘦"),


    ;
    private String type;

    private String describe;


    public static ObesityLevelEnum getEnum(String type) {
        ObesityLevelEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (ObesityLevelEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }
}
