package com.jiankangyouyi.cloud.assessment.model.dto.api.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 获取测评问卷DTO
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AssessmentHealthProblemDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
//    @NotBlank(message = "请求参数code为空")
//    @Size(max = 50, message = "请求参数code长度不合法")
    private String code;

    /**
     * 风险等级
     * 健康评估中心非必填，饮食、运动必传
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessmentCentre.RiskLevelEnum}
     */
    private Integer riskLevel;


}
