package com.jiankangyouyi.cloud.assessment.model.entity.mongo.effect.component;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 风险程度变化 及 干预前症状是否有值
 *
 * @author june
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RiskChangeAndHasBefore {

    /**
     * 干预前症状是否有值
     */
    private Boolean isHasBefore;

    /**
     * 风险程度变化
     */
    private EffectReport.RiskChange riskChange;
}
