package com.jiankangyouyi.cloud.assessment.model.vo.api;

import com.jiankangyouyi.cloud.assessment.model.param.AssessmentParams;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 解析测评问卷VO
 *
 * @author yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssessmentQuestionnaireAnalysisVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 业务类型
     * {@link com.jiankangyouyi.cloud.assessment.enums.BizTypeEnum}
     */
    private String bizType;

    /**
     * 测评参数
     */
    private AssessmentParams assessmentParams;
}
