package com.jiankangyouyi.cloud.assessment.model.vo.api;

import com.jiankangyouyi.cloud.basedata.api.model.dto.response.component.Questionnaire;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 配置问卷信息
 *
 * @author yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssessmentQuestionnaireV6VO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 问卷
     */
    private Questionnaire questionnaire;
}
