package com.jiankangyouyi.cloud.assessment.model.vo.api;

import com.jiankangyouyi.cloud.assessment.model.report.AssessmentReport;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 获取测评报告VO
 *
 * @author yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssessmentReportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 业务类型
     */
    private String bizType;

    /**
     * 测评报告
     */
    private AssessmentReport assessmentReport;
}
