package com.jiankangyouyi.cloud.assessment.model.vo.api.effect;

import com.jiankangyouyi.cloud.assessment.model.vo.api.effect.component.EffectReportInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 获取效果评估报告VO
 *
 * @author fengxuanjun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EffectReportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告
     */
    private EffectReportInfo effectReport;

}
