package com.jiankangyouyi.cloud.assessment.model.vo.api.lifestyle.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthProblemRisk {
    /**
     * 风险等级
     * -1：已病
     * 0：正常
     * 1：低风险
     * 2：中风险
     * 3：高风险
     * 4：极高风险
     */
    private Integer riskLevel;
    /**
     * 风险等级描述
     */
    private String description;
}
