package com.jiankangyouyi.cloud.evaluation.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 测评 音频和视频的mapping 关系
 *
 * @author june
 */
@Getter
@AllArgsConstructor
public enum EvaluationVideoMappingEnum {
    /**
     * 资源地址 mapping
     */
    YY_01A("YY-01A", "751932ff3bb24716bf5895e7b55cded9.mp4?lm-aNzgsS_gt7kRcvR6QsrCg8zKd?jkyy-private"),
    YY_01B("YY-01B", "7ab440e1202c4d38a2b2c92640cd534c.mp3?llTbLQqrIBbxJYLXBvYnHaZnWMsk?jkyy-private"),
    YY_02B("YY-02B", "416025541e97440592e25ce7d9d15275.mp3?luUEYsoPRXBBuu30fhX3YTP0VHTh?jkyy-private"),
    YY_03B("YY-03B", "5a704c07b2d6413c85ab851484227b2b.mp3?lh48ppcjUCyVR2_gT1DCVA8on_u6?jkyy-private"),
    YY_04B("YY-04B", "6714b2a881f0428c8e2dad4d9c79583f.mp3?lkXyH_dMaX9Zf-Tv7DSx3NWisHFP?jkyy-private"),
    YY_05B("YY-05B", "e176e2700b804c8fb2e089b231ed685c.mp3?ltpVOVw3Vkazf9-MfCJu-gSdlAks?jkyy-private"),
    CHYY_01A("CHYY-01A", "e1280ae12b514cdaa99fa8c66d94d830.mp4?ll9W6GjhUWyOteYmaVVnDZHUDUCJ?jkyy-private"),
    CHYY_01B("CHYY-01B", "a9e3dd50559742a2933eab98551bb03a.mp3?luf_5kT6vbAUPhQNE-pqZ_xRe8an?jkyy-private"),
    CHYY_02B("CHYY-02B", "80e5173134d046939a42a66f510784f9.mp3?lvJoCWKg-MqmmMiXLreuYsoSXoCv?jkyy-private"),
    CHYY_03B("CHYY-03B", "66889cf947824c02aa5ef51bf17d983c.mp3?ln6YjigxbLjJ9IKEle83isFqFdBw?jkyy-private"),
    CHYY_04B("CHYY-04B", "4ffc1a19b06740e7b1981e73cf0ceed7.mp3?lnw3QCFoEWWTjtVD5spqey01UOzL?jkyy-private"),
    CHYY_05B("CHYY-05B", "064fe8454953408fa7d214d8d5ccc9aa.mp3?lkJswYD-hYR00yuQzbcOc1M5u3jr?jkyy-private"),
    GZYL_01A("GZYL-01A", "97e12c1aec2d46229cb43ceb98b11426.mp4?lhpQwmyQau6FOlLD-HdQC4CMbpzI?jkyy-private"),
    GZYL_01B("GZYL-01B", "8d450c99cdc843cba23500b22cc5c033.mp3?lql1vYhDkiTqOPJ4OMswLMSb7ryL?jkyy-private"),
    GZYL_02B("GZYL-02B", "128f4c36f6f042e1ad2569a21f881331.mp3?lsQSFOJrVjIm4I4cv9Ddqr6YhVj9?jkyy-private"),
    GZYL_03B("GZYL-03B", "7920b9c6b42b49d4a4413255db56c623.mp3?lvNfuCxZTv5LS7AE5D5j-b7HUjcd?jkyy-private"),
    GZYL_04B("GZYL-04B", "237c78d6ddb74b8ca3506bc0f654b933.mp3?lvT3hY6-7oTVIBez9bb0cCInShuX?jkyy-private"),
    GZYL_05B("GZYL-05B", "d1f510c68d134c30827d86405edc54da.mp3?liKnCAr9DSVocR8thvy2-iVGuAkJ?jkyy-private"),
    ;

    private final String name;
    private final String url;
}
