package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

/**
 * 获取评测结果
 *
 * @author yangsongbo
 * @see /v2/evaluation/result/load.do
 * @since v1.0
 */
@Getter
@Setter
public class EvaluationResultLoadDTO extends AbstractApiRequest {

    /**
     * 评测结果ID
     */
    @NotBlank(message = "测评ID不存在")
    @Valid
    private String reportId;

    @Override
    public String customCheck() {
        return null;
    }
}
