package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 问卷解析结果
 * 肠道风险评测
 * @author Ashon
 **/
@Getter
@Setter
public class CDJKCPQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     * 单选
     */
    private String userActivityLevel;

    /**
     * 异常症状
     * 多选
     */
    private List<String> abnormalSymptoms;

    /**
     * 饮食情况
     * 多选
     */
    private List<String> diet;

    /**
     * 运动
     * 单选
     */
    private List<String> sport;

    /**
     * 紧张焦虑
     * 单选
     */
    private List<String> nervousness;

    /**
     * 睡眠情况
     * 多选
     */
    private List<String> sleep;

    /**
     * 吃水果后
     * 单选
     */
    private List<String> fruit;

    /**
     * 用药情况
     * 多选
     */
    private List<String> medication;

}
