package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 高血脂 问卷解析结果
 *
 **/
@Getter
@Setter
public class GXZPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;
    /**
     * 既往史(多选)
     */
    private List<String> pastHistory;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 更年期
     */
    private List<String> menopause;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;

    /**
     * 饮酒情况
     */
    private List<String> drink;

    /**
     * 饮食情况
     */
    private List<String> diet;

}
