package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 焦虑情绪测评测评问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class JLQXCPQuestionnaireParseResultDTO {

    /**
     *紧张的时间占比（单选）
     */
    private List<String> nervous;

    /**
     *害怕的时间占比（单选）
     */
    private List<String> fear ;

    /**
     *烦乱的时间占比（单选）
     */
    private List<String> upset;

    /**
     *精神崩溃的时间占比（单选）
     */
    private List<String> mentalBreakdown;

    /**
     *对未来没信心的时间占比（单选）
     */
    private List<String> confidenceFuture;

    /**
     *身体打颤的时间占比（单选）
     */
    private List<String> shiver;

    /**
     *头背疼痛的时间占比（单选）
     */
    private List<String> painHeadBack;

    /**
     *易疲乏的时间占比（单选）
     */
    private List<String> tired	;

    /**
     *很难镇静的时间占比（单选）
     */
    private List<String> hardCalmDown;

    /**
     *心率快的时间占比（单选）
     */
    private List<String> heartRate;

    /**
     *因头晕苦恼的时间占比（单选）
     */
    private List<String> dizzy;

    /**
     *有快晕倒的感觉的时间占比（单选）
     */
    private List<String> fainting;

    /**
     *呼吸困难的时间占比（单选）
     */
    private List<String> dyspnea;

    /**
     *手脚麻木或刺痛的时间占比（单选）
     */
    private List<String> numbnessHandsFeet;

    /**
     *因消化系统不良苦恼的时间占比（单选）
     */
    private List<String> dyspepsia;

    /**
     *尿频的时间占比（单选）
     */
    private List<String> frequentMicturition;

    /**
     *易出汗的时间占比（单选）
     */
    private List<String> easilySweating;

    /**
     *脸红热的时间占比（单选）
     */
    private List<String> blush;

    /**
     *睡眠质量差的时间占比（单选）
     */
    private List<String> sleepQualityPoor;

    /**
     *易做噩梦的时间占比（单选）
     */
    private List<String> nightmare;


}
