package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 免疫力风险测评问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class MYLFXCPQuestionnaireParseResultDTO {

    /**
     *劳动强度(单选)
     */
    private String userActivityLevel;

    /**
     *注意健康程度(单选)
     */
    private List<String> careHealth;


    /**
     *健康情况(多选)
     */
    private List<String> healthSituation;


    /**
     *饮食习惯(多选)
     */
    private List<String> diet;


    /**
     *睡眠情况(多选)
     */
    private List<String> sleep;


    /**
     *运动情况(单选)
     */
    private List<String> sport;


    /**
     *抽烟情况(单选)
     */
    private List<String> smoke;


    /**
     *饮酒情况(单选)
     */
    private List<String> drink;


    /**
     *心理情况(单选)
     */
    private List<String> psychology;


    /**
     *用药情况(单选)
     */
    private List<String> medication;


}
