package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 女性孕期皮肤测评解析结果
 *
 * @author lvhaoran
 **/
@Getter
@Setter
public class NXPFCPQuestionnaireParseResultDTO {

    /**
     * 皮肤看起来情况(单选)
     */
    private List<String> skinLook;


    /**
     * 皮肤摸起来情况(单选)
     */
    private List<String> skinFeel;
    /**
     * 皮肤起皮情况(单选)
     */
    private List<String> skinPeeling;
    /**
     * 皮肤长粉刺情况(单选)
     */
    private List<String> skinAcne;
    /**
     * 皮肤皱纹情况(单选)
     */
    private List<String> skinWrinkle;
    /**
     * 皮肤现状(单选)
     */
    private List<String> skinNow;
    /**
     * 皮肤敏感情况(多选)
     */
    private List<String> skinSensitive;
    /**
     * 皮肤色素沉淀情况(多选)
     */
    private List<String> skinPigmentation;
    /**
     * 皮肤长皱纹情况(多选)
     */
    private List<String> skinRuffle;

}
