package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 疲劳程度问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class PLCDCPQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

    /**
     *	疲劳经历（单选）
     */
    private List<String> tiredUndergo;
    /**
     *	需要休息情况（单选）
     */
    private List<String> needRestSituation;
    /**
     *	疲劳程度（多选）
     */
    private List<String> tiredLevel;
    /**
     *	疲劳对日常的影响（单选）
     */
    private List<String> tiredAffectLife;
    /**
     *	休息对疲劳的影响（单选）
     */
    private List<String> restAffecttiredTired;
    /**
     *饮酒情况（单选）
     */
    private List<String> smoke;
    /**
     *饮酒情况（单选）
     */
    private List<String> drink;
    /**
     *	运动情况（单选）
     */
    private List<String> sport;
    /**
     *	饮食情况（多选）
     */
    private List<String> psychology;
    /**
     *	饮食情况（多选）
     */
    private List<String> diet;
    /**
     *用药情况（单选）
     */
    private List<String> medication;
    /**
     *睡眠情况（多选）
     */
    private List<String> sleep;
}
