package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 痛风问卷解析结果
 *
 * @author dongle
 **/
@Getter
@Setter
public class TFPCQuestionnaireParseResultDTO {


    /**
     * 居住地（单选）
     */
    private List<String> live;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 既往史（多选）
     */
    private List<String> pastHistory;

    /**
     * 气温
     */
    private List<String> airTemperature;

    /**
     * 饮酒（单选）
     */
    private List<String> drink;

    /**
     * 饮食情况(多选)
     */
    private List<String> diet;

    /**
     * 服用药物
     */
    private List<String> takingDrugs;

    /**
     * 作息
     */
    private List<String> workAndRest;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 剧烈运动
     */
    private List<String> strenuousExercise;


    /**
     * 用户活动强度
     */
    private String userActivityLevel;

}
