package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 问卷解析结果
 * 中医脏腑健康状态
 * @author wangshuang
 **/
@Getter
@Setter
public class ZYZFJKZTCPQuestionnaireParseResultDTO {

    /**
     * 面部及五官颜色状态（多选）
     */
    private List<String> faceColour;
    /**
     * 皮肤毛发指甲健康状态
     */
    private List<String> skinhairNails;

    /**
     * 头目健康状态（多选）
     */
    private List<String> head;
    /**
     * 	口腔健康状态（多选）
     */
    private List<String> oral;
    /**
     *胸部健康状态（多选）
     */
    private List<String> chest;
    /**
     *	神志活动健康状态（多选）
     */
    private List<String> mentalActivity;
    /**
     *	肢体肌肉健康状态（多选）
     */
    private List<String> limbMuscles;
    /**
     *形体和精神情况（多选）
     */
    private List<String> bodySpirit;
    /**
     *	饮食情况（多选）
     */
    private List<String> diet;
    /**
     *	上呼吸道健康情况（多选）
     */
    private List<String> upperRespiratoryTract;
    /**
     *	身体表现（多选）
     */
    private List<String> body;
    /**
     *大小便以及生殖系统健康情况（多选）
     */
    private List<String> productiveSystem;

}
