package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 食谱对象
 * @author yangsongbo
 *
 */
@Getter
@Setter
public class DietaryBean {
	
	/** 水作为 {@link WaterTypeEnum} */
    private String waterType;
    
    /** 工艺 {@link DietaryCraftEnum} */
    private String craft;

    /** 主料 */
    private List<FoodMaterialBean> majorMaterial;

    /** 辅料 */
    private List<FoodMaterialBean> minorMaterial;

	/* 新增字段 2019-10-16 begin */
	/** 药材 */
	private List<FoodMaterialBean> medicineMaterial;
	/** 调料 */
	private List<FoodMaterialBean> seasoningMaterial;
	/* 新增字段 2019-10-16 end */
    
    /**
     * 烹饪时间 单位 分钟
     */
    private int cookingTime;
    
    /**
     * 烹饪步骤
     */
    private List<FoodCookingStepBean> cookingSteps;
    
    


}
