package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import java.util.HashMap;
import java.util.Map;

/**
 * 烹饪步骤
 * 
 * @since v4.0
 * @author yangsongbo
 *
 */
public class FoodCookingStepBean {
	
	/**
	 * 序号
	 */
	private String stepSeq;
	
	/**
	 * 图片
	 */
	private String imageKey;
	
	/***
	 * 图片
	 */
	private String imageUrl;
	/**
	 * 标题
	 */
	private String title;
	
	/**
	 * 内容
	 */
	private String content;

	
	public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getStepSeq() {
		return stepSeq;
	}

	public void setStepSeq(String stepSeq) {
		this.stepSeq = stepSeq;
	}

	public String getImageKey() {
		return imageKey;
	}

	public void setImageKey(String imageKey) {
		this.imageKey = imageKey;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	


    public String toString(){
        String sep = "; ";
        StringBuffer sb = new StringBuffer();
        sb.append("CookingStep").append(":");
        sb.append("[stepSeq]").append(" = ").append(getStepSeq()).append(sep);
        sb.append("[imageKey]").append(" = ").append(getImageKey()).append(sep);
        sb.append("[imageUrl]").append(" = ").append(getImageUrl()).append(sep);
        sb.append("[title]").append(" = ").append(getTitle()).append(sep);
        sb.append("[content]").append(" = ").append(getContent()).append(sep);
        return sb.toString();
    }


    public Map<String,Object> putFieldValueToMap() {
   		Map<String,Object> map_=new HashMap<String,Object>();
    	map_.put("stepSeq",getStepSeq());
    	map_.put("imageKey",getImageKey());
    	map_.put("imageUrl",getImageUrl());
    	map_.put("title",getTitle());
    	map_.put("content",getContent());
		return map_;
    }


    public void doMapToDtoValue(Map<String, Object> map,boolean isDealNull) {
    	if(null!=map.get("stepSeq")){
    		this.setStepSeq((String)map.get("stepSeq"));
    	}else{
    		if(isDealNull && map.containsKey("stepSeq"))
    			this.setStepSeq((String)map.get("stepSeq"));
    	}	
    	if(null!=map.get("imageKey")){
    		this.setImageKey((String)map.get("imageKey"));
    	}else{
    		if(isDealNull && map.containsKey("imageKey"))
    			this.setImageKey((String)map.get("imageKey"));
    	}	
    	if(null!=map.get("imageUrl")){
            this.setImageUrl((String)map.get("imageUrl"));
        }else{
            if(isDealNull && map.containsKey("imageUrl"))
                this.setImageUrl((String)map.get("imageUrl"));
        }   
    	if(null!=map.get("title")){
    		this.setTitle((String)map.get("title"));
    	}else{
    		if(isDealNull && map.containsKey("title"))
    			this.setTitle((String)map.get("title"));
    	}	
    	if(null!=map.get("content")){
    		this.setContent((String)map.get("content"));
    	}else{
    		if(isDealNull && map.containsKey("content"))
    			this.setContent((String)map.get("content"));
    	}	
    }


    public static final String field_stepSeq = "stepSeq";
    public static final String field_imageKey = "imageKey";
    public static final String field_imageUrl = "imageUrl";
    public static final String field_title = "title";
    public static final String field_content = "content";
}
