package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 无分数测评结果概览模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EvaluationResultOverviewNoScoreTemplate implements IEvaluationTemplate2 {
    /**
     * 测评名称
     */
    private String evaluationName;

    /**
     * 标题
     */
    private String title;
    /**
     * 测评状态
     */
    private String evaluationState;
    /**
     * 测评状态描述
     */
    private String evaluationStateDesc;

    /**
     * 测评状态描述
     */
    private List<String> remark;

    /**
     * 性别
     */
    private String gender;
    /**
     * 年龄
     */
    private String age;

    /**
     * bmi
     */
    private String bmi;
    /**
     * bmi状态
     */
    private String bmiState;

}
