package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 有分数测评结果概览模板
 *
 * @author : wangshuang
 * @date : 2019/10/19
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EvaluationResultOverviewYesScoreTemplate implements IEvaluationTemplate2 {
    private String evaluationName;

    /**
     * 标题
     */
    private String title;
    /**
     * 测评状态
     */
    private String evaluationState;
    /**
     * 测评状态描述
     */
    private String evaluationStateDesc;
    /**
     * 患病得分
     */
    private Integer sickScore;
    /**
     * 性别
     */
    private String gender;
    /**
     * 年龄
     */
    private String age;
    /**
     * bmi
     */
    private String bmi;
    /**
     * bmi状态
     */
    private String bmiState;
    /**
     * 备注
     */
    private List<String> remark;


}
