package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 肥胖常见风险因素评估模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FatCommonRiskFactorsTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 风险因素内容
     */
    private List< FatCommonRiskFactor>  fatCommonRiskFactorList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class FatCommonRiskFactor{
        /**
         * 标题
         */
        private String subTitle;

        private List<String> explainList;
    }

}
