package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 健康指导概览模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthGuideOverviewTemplate implements IEvaluationTemplate2 {
    /**
     * 测评名称
     */
    private String evaluationName;
    /**
     * 标题
     */
    private String title;
    /**
     * 测评状态
     */
    private String evaluationState;
    /**
     * 测评状态描述
     */
    private String evaluationStateDesc;

    /**
     * 性别
     */
    private String gender;
    /**
     * 年龄
     */
    private String age;

    /**
     * bmi
     */
    private String bmi;
    /**
     * bmi状态
     */
    private String bmiState;
    /**
     * 备注
     */
    private List<String> remark;
}
