package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 健康管理重点干预内容模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KeyInterventionContentTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private List<KeyInterventionContent> keyInterventionContents;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class KeyInterventionContent {

        /**
         * 内容
         */
        private List<String> content;

    }


}
