package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 标题字符串列表模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TitleListTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 内容列表
     */
    private List<String> contentList;

}
