package com.jiankangyouyi.cloud.evaluation.model.vo;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component.EvaluationQuesOptions2Bean;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 获取评测题库响应信息
 *
 * @author wangshuang
 * @see /evaluation/brief/load.do
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EvaluationContentLoad2VO {
    /**
     * 评测名称
     */
    private String evaluationName;

    /**
     * 题库ID
     */
    private String quesBankId;

    /**
     * 评测问题数据集合
     */
    private List<EvaluationQuesOptions2Bean> quesOptions;

    /**
     * 问卷说明
     */
    private List<String> guideWords;


}
