package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 条件等级
 *
 * @author ：wangyalei
 * @date ：Created in 2021/7/14 10:08 上午
 */
@Getter
@AllArgsConstructor
public enum ConditionGradeEnum {

    /**
     * 1阶
     */
    ONE(1),

    /**
     * 2阶
     */
    TWO(2),

    /**
     * 3阶
     */
    THREE(3),
    /**
     * 4阶
     */
    FOUR(4),
    /**
     * 5阶
     */
    FIVE(5),
    /**
     * 6阶
     */
    SIX(6),
    /**
     * 7阶
     */
    SEVEN(7),
    /**
     * 8阶
     */
    EIGHT(8),
    /**
     * 9阶
     */
    NINE(9),

    /**
     * 10阶
     */
    TEN(10);


    /**
     * 能力等级
     */
    private final Integer grade;


}
