package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:51 下午
 */
@AllArgsConstructor
@Getter
public enum RestVideoHandlerTypeEnum {
    /**
     * 按课程完成时长百分比
     */
    COURSE_FINISH_PERCENT(1, "按课程完成时长百分比"),

    /**
     * 按动作个数
     */
    ACTION_COUNT(2, "按动作个数");

    private final Integer type;

    private final String description;

}
