package com.jiankangyouyi.cloud.motorplan.model.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.collections.CollectionUtils;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/24 11:31 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActionHandlerResult {
    /**
     * 总时间 /分
     */
    private Long totalTime;
    /**
     * 总热量
     */
    private Integer totalHeat;
    /**
     * 视频列表
     */
    private List<ActionVideoInfo> actionVideoInfoList;


}
