package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.AttentionItemDetail;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/4/6 1:10 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AttentionItemHandlerBean {
    /**
     * 健康问题类型
     */
    private String healthProblem;
    /**
     * 注意事项类型
     */
    private String type;
    /**
     * 注意事项列表
     */
    private List<AttentionItemDetail> attentionItemDetailList;
}
