package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.dto.AcquireCoursePlanDTO;
import com.jiankangyouyi.cloud.motorplan.model.dto.AcquireCoursePlanDTO2;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.ExerciseCoursePlanDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/1/27 2:59 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ExerciseCoursePlanBean2 {
    /**
     * 课程信息
     */
    private ExerciseCoursePlanDO exerciseCoursePlanDO;
    /**
     * 动作组合结果
     */
    private ExerciseCourseProjectConfigResult2 exerciseCourseProjectConfigResult2;
    /**
     * 请求参数
     */
    private AcquireCoursePlanDTO2 acquireCoursePlanDTO;

}
