package com.jiankangyouyi.cloud.motorplan.model.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/6/27 10:09 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ManagementGoalsForbidActionHandlerResult {
    /**
     * 管理目标
     */
    private List<String> managementGoals;
    /**
     * 视频课程禁忌动作
     */
    private List<String> videoForbidActionProperties;
    /**
     * 系统课程禁忌动作
     */
    private List<String> systemForbidActionProperties;
}
