package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/29 11:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionExplain {
    /**
     * 视频时长 /s
     */
    private Long videoDurationSecond;
    /**
     * 动作封面图key
     */
    private String actionImageKey;
    /**
     * 动作注意事项
     */
    private List<String> attentions;
    /**
     * 动作讲解
     */
    private List<String> actionExplains;
    /**
     * 动作id
     */
    private String actionId;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 动作视频 MP4
     */
    //private String videoMP4Key;

    /**
     * 动作视频  1080分辨率 文件地址key
     */
    private String actionVideoM3u8P1080Key;
    /**
     * 动作视频  720分辨率 文件地址key
     */
    private String actionVideoM3u8P720Key;
    /**
     * 动作视频  480分辨率 文件地址key
     */
    private String actionVideoM3u8P480Key;
}
