package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:18 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AthleticAbilityConfigBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 运动能力和训练强度关系
     */
    private List<AthleticAbilityRelation> athleticAbilityRelations;
}
