package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 11:16 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AthleticAbilityExerciseTypeAndDescriptionRelation {

    /**
     * 运动能力 1、低 2、中 3、高
     */
    private Integer athleticAbility;
    /**
     * 运动类型
     */
    private String exerciseType;
    /**
     * 描述
     */
    private String description;
    /**
     * 心率范围计算 开始值 百分数 例如 58% 存 0.58
     */
    private Double heartStart;
    /**
     * 心率范围计算 结束值 百分数 例如 58% 存 0.58
     */
    private Double heartEnd;


}
