package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.util.Assert;

import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/29 11:06 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DiseaseInfo {
    /**
     * 排序
     */
    @Transient
    private Integer orderNum;
    /**
     * 疾病类型
     */
    @NotBlank(message = "请求参数 diseaseType 不能为空")
    private String diseaseType;
    /**
     * 风险等级
     */
    @NotNull(message = "请求参数 riskLevel 不能为空")
    private Integer riskLevel;

}
