package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:22 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManagementGoalConfig {
    /**
     * 管理目标
     */
    private List<String> managementGoals;
    /**
     * 管理目标 BMI 条件配置
     */
    private List<ManagementGoalBmiCondition> managementGoalBmiConditions;

}
