package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:37 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StretchAction {
    /**
     * 拉伸动作组合 当 拉伸动作 bmi 条件 为空时 有值
     */
    private List<StretchActionGroup> stretchActionGroups;
    /**
     * 拉伸动作 bmi 条件
     */
    private List<StretchActionBmiCondition> stretchActionBmiConditions;
}
