package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 11:31 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExercise {

    /**
     * 系统运动组合配置 （非视频方案）
     */
    private List<SystemExerciseGroup> systemExerciseGroups;
    /**
     * 系统运动组合配置BMI条件 （非视频方案）
     */
    private List<SystemExerciseBmiCondition> systemExerciseBmiConditions;



}
