package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 1:33 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseAnnouncements {
    /**
     * （非视频运动方案配置）注意事项
     */
    private List<AttentionItemDetail> announcements;
    /**
     * （非视频运动方案配置）注意事项 BMI 条件
     */
    private List<SystemExerciseAnnouncementsBmiCondition> systemExerciseAnnouncementsBmiConditions;

}
