package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 11:38 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 系统运动组合配置 （非视频方案）
     */
    private List<SystemExerciseGroup> systemExerciseGroups;

}
