package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 11:28 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseGroup {
    /**
     * 当前组合编号
     */
    private String currentGroupNum;
    /**
     * 下一个组合编号
     */
    private String nextGroupNum;

    /**
     * 运动能力与运动类型关系 （非视频运动方案配置）
     */
    private List<AthleticAbilityExerciseTypeRelation> athleticAbilityExerciseTypeRelations;


}
