package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 1:26 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseRemindDescriptionBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 运动能力、运动类型、运动提醒描述关联关系
     */
    private List<AthleticAbilityExerciseTypeAndDescriptionRelation> athleticAbilityExerciseTypeAndDescriptionRelations;
}
