package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 1:31 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseTabooLabelBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 禁忌标签 （指运动库动作特点）
     */
    private List<String> tabooLabels;
}
