package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:06 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TimeConfigBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 休息时间配置
     */
    private TimeConfig timeConfig;
}
