package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:31 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WarmupActonGroup {
    /**
     * 动作难度 /训练强度
     */
    private List<String> actionDifficulties;
    /**
     * 动作视频规格
     */
    private List<String> actionVideoSizes;
    /**
     * 动作体位
     */
    private List<String> actionPositions;
    /**
     * 动作分类
     */
    private List<String> actionClassifications;
    /**
     * 动作锻炼肌群
     */
    private List<String> trainPositions;
}
