package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/20 9:39 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TrainingAndRestVideoInfo {
    /**
     * 休息视频信息
     */
    private RestVideoDetailInfo restVideoDetailInfo;
    /**
     * 训练视频信息
     */
    private ActionVideoDetailInfo trainingVideoDetailInfo;



}
