package com.jiankangyouyi.cloud.motorplan.model.vo;

import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 康复课程分页信息
 *
 * @author : june
 * @date: 2022/12/13 10:24
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PageRecoveryCourseVO {
    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;
    /**
     * 课程信息
     */
    private List<RecoveryCourseDetailVO> courseList;
}
