package com.jiankangyouyi.cloud.motorplan.model.vo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * TODO：功能描述
 *
 * @author : lvhaoran
 * @date Date : 2022年12月09日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ByReplaceActionInfo {
    @NotBlank(message = "请求参数 byReplaceActionId 不能为空")
    @Size(max = 32, message = "请求参数 byReplaceActionId 超过最大有效长度 32")
    private String byReplaceActionId;
    @NotBlank(message = "请求参数 replaceActionId 不能为空")
    @Size(max = 32, message = "请求参数 replaceActionId 超过最大有效长度 32")
    private String replaceActionId;

}
