package com.jiankangyouyi.cloud.assessment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 七牛云存储空间
 *
 * @author yangsongbo
 */
@Getter
@AllArgsConstructor
public enum QiniuBucketEnum {

    /**
     * jkyy
     */
    JKYY("jkyy"),

    /**
     * jkyy-private
     */
    JKYY_PRIVATE("jkyy-private"),


    ;

    private final String bucket;


    public static QiniuBucketEnum getEnum(String bucket) {
        QiniuBucketEnum[] values = values();
        if (bucket == null) {
            return null;
        }
        for (QiniuBucketEnum value : values) {
            if (bucket.equals(value.bucket)) {
                return value;
            }
        }
        return null;
    }
}
