package com.jiankangyouyi.cloud.assessment.enums.assessment190101;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 生活方式 测评项目enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum LifeStyleItemEnum {

    /**
     * 肥胖
     */
    OBESITY("OBESITY","肥胖"),

    ;


    private String code;

    private String item;

    public static LifeStyleItemEnum getEnum(String code) {
        LifeStyleItemEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (LifeStyleItemEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }




}
