package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 脑卒中分数百分比对应关系enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum ApoplexyEnum {

    VALUE1(1,1,3),
    VALUE2(2,1,3),
    VALUE3(3,2,4),
    VALUE4(4,2,4),
    VALUE5(5,2,5),
    VALUE6(6,3,5),
    VALUE7(7,4,6),
    VALUE8(8,4,7),
    VALUE9(9,5,8),
    VALUE10(10,6,10),
    VALUE11(11,8,11),
    VALUE12(12,9,13),
    VALUE13(13,11,15),
    VALUE14(14,13,17),
    VALUE15(15,16,20),
    VALUE16(16,19,22),
    VALUE17(17,23,26),
    VALUE18(18,27,29),
    VALUE19(19,32,33),
    VALUE20(20,37,37),
    VALUE21(21,43,42),
    VALUE22(22,50,47),
    VALUE23(23,57,52),
    VALUE24(24,64,57),
    VALUE25(25,71,63),
    VALUE26(26,78,68),
    VALUE27(27,84,74),
    VALUE28(28,0,79),
    VALUE29(29,0,84),
    VALUE30(30,0,88);

    private int score;
    private double fepercent;
    private double percent;

    public static ApoplexyEnum getEnum(int score) {
        ApoplexyEnum[] values = values();
        for (ApoplexyEnum value : values) {
            if (score==(value.score)) {
                return value;
            }
        }
        return null;
    }




}
