package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 健康评估中心测评类型
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum AssessmentTypeEnum {

    /**
     * 健康评估中心
     */
    HEALTH_ASSESSMENT_CENTER("HEALTH-ASSESSMENT-CENTER", "健康评估中心"),

    /**
     * 饮食
     */
    DIET("DIET", "饮食"),

    /**
     * 运动
     */
    EXERCISE("EXERCISE", "运动"),

    /**
     * 饮食+运动
     */
    DIET_EXERCISE("DIET_EXERCISE", "运动");;


    private String type;

    private String description;


}
