package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 测评题选项编号类型Enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum OptionCodeEnum {

    /**
     * 选项0
     */
    OPTION_CODE0("0"),
    /**
     * 选项1
     */
    OPTION_CODE1("1"),
    /**
     * 选项2
     */
    OPTION_CODE2("2"),
    /**
     * 选项3
     */
    OPTION_CODE3("3"),
    /**
     * 选项4
     */
    OPTION_CODE4("4"),
    /**
     * 选项5
     */
    OPTION_CODE5("5"),
    /**
     * 选项6
     */
    OPTION_CODE6("6"),
    /**
     * 选项7
     */
    OPTION_CODE7("7"),
    /**
     * 选项8
     */
    OPTION_CODE8("8"),
    /**
     * 选项9
     */
    OPTION_CODE9("9"),
    /**
     * 选项10
     */
    OPTION_CODE10("10"),
    /**
     * 选项11
     */
    OPTION_CODE11("11"),
    /**
     * 选项12
     */
    OPTION_CODE12("12"),
    /**
     * 选项13
     */
    OPTION_CODE13("13"),
    /**
     * 选项15
     */
    OPTION_CODE14("14"),
    /**
     * 选项15
     */
    OPTION_CODE15("15"),
    /**
     * 选项16
     */
    OPTION_CODE16("16"),
    /**
     * 选项17
     */
    OPTION_CODE17("17"),
    /**
     * 选项18
     */
    OPTION_CODE18("18"),
    /**
     * 选项19
     */
    OPTION_CODE19("19"),
    /**
     * 选项20
     */
    OPTION_CODE20("20"),
    /**
     * 选项21
     */
    OPTION_CODE21("21"),
    /**
     * 选项22
     */
    OPTION_CODE22("22"),
    /**
     * 选项23
     */
    OPTION_CODE23("23"),
    /**
     * 选项24
     */
    OPTION_CODE24("24"),
    /**
     * 选项25
     */
    OPTION_CODE25("25"),



    ;
    private String optionCode;



    public static OptionCodeEnum getEnum(String optionCode) {
        OptionCodeEnum[] values = values();
        if (optionCode == null) {
            return null;
        }
        for (OptionCodeEnum value : values) {
            if (optionCode.equals(value.optionCode)) {
                return value;
            }
        }
        return null;
    }

}
