package com.jiankangyouyi.cloud.assessment.enums.assessmentCentre;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 风险及确诊enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum RiskConfirmedEnum {

    /**
     * 已确诊
     */
    CONFIRMED("-1","已病"),

    /**
     * 正常
     */
    NONE("0","正常"),

    /**
     * 存在风险（极高、高、中）
     */
    RISK("1","存在风险");




    private String status;

    private String description;




}
