package com.jiankangyouyi.cloud.assessment.model.bean;

import java.util.HashMap;

/**
 * 自定义HashMap
 *
 * @author yangsongbo
 */
public class CustomHashMap<K, V> extends HashMap<K, V> {

    /**
     * 往Map中放值
     *
     * @param key   键
     * @param value 值
     * @return 返回自己
     */
    public CustomHashMap<K, V> add(K key, V value) {
        super.put(key, value);
        return this;
    }
}
