package com.jiankangyouyi.cloud.assessment.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * 测评题
 *
 * @author yangsongbo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionLack implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 测评题编号
     */
    private String questionCode;

    /**
     * 选项结果
     */
    private List<String> userOptionValues;

}
