package com.jiankangyouyi.cloud.assessment.model.entity.mongo.effect.component;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 症状改善情况 及 干预前症状是否有值
 *
 * @author june
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SymptomAnalysisAndHasBefore {

    /**
     * 干预前症状是否有值
     */
    private Boolean isHasBefore;

    /**
     * 症状改善情况
     */
    private EffectReport.SymptomAnalysis symptomAnalysis;
}
