package com.jiankangyouyi.cloud.assessment.model.vo.api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 生成测评报告VO
 *
 * @author yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssessmentReportIdVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 测评报告ID
     */
    private String reportId;

}
