package com.jiankangyouyi.cloud.assessment.model.vo.api.effect;

import com.jiankangyouyi.cloud.assessment.model.vo.api.effect.component.EffectReportInfo;
import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 获取效果评估报告VO
 *
 * @author fengxuanjun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EffectReportListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;

    /**
     * 报告列表
     */
    private List<EffectReportInfo> reportList;

}
