package com.jiankangyouyi.cloud.assessment.model.vo.api.lifestyle;

import com.jiankangyouyi.cloud.assessment.model.vo.api.lifestyle.component.LifeStyleReportSchemeDetail;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleReportSchemeVO {

    /**
     * 报告ID
     */
    private String reportId;

    /**
     * 方案详情信息列表
     */
    private List<LifeStyleReportSchemeDetail> schemeDetails;

    /**
     * 提示信息
     */
    private String message;

    /**
     * 提示code
     * {@link com.jiankangyouyi.cloud.assessment.enums.assessment190101.LifeStyleSchemeHintCodeEnum}
     */
    private String code;
}
