package com.jiankangyouyi.cloud.assessment.model.vo.api.lifestyle.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthProblemRight {

    /**
     * 健康问题编码
     */
    private String code;

    /**
     * 健康问题名称
     */
    private String name;
    /**
     * 风险信息
     */
    private List<HealthProblemRisk> riskLevels;
}
