package com.jiankangyouyi.cloud.evaluation.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * 工作压力程度 话术
 *
 * @author june
 */
public class WorkingPressureDegree {
    public static final Map<EvaluationStateEnum, String> VERBAL_TRICK = new HashMap<>();

    static {
        VERBAL_TRICK.put(EvaluationStateEnum.WORKING_PRESSURE_LOW_MAX, "你的工作压力得分极低，说明你的工作让你感觉良好，压力极低。适度的工作压力水平可以使人集中注意，提高忍受力，增强机体活力，减少错误的发生。而且，压力还可以转为动力，激发创新。请继续保持！");
        VERBAL_TRICK.put(EvaluationStateEnum.WORKING_PRESSURE_LOW, "你的工作压力得分低，说明工作中略有压力，但仍在正常范围之内。适度的工作压力水平可以使人集中注意，提高忍受力，增强机体活力，减少错误的发生。而且，压力还可以转为动力，激发创新。请继续保持！");
        VERBAL_TRICK.put(EvaluationStateEnum.WORKING_PRESSURE_MIDDLE, "你的工作压力得分中等，说明你的工作让你感到较有压力。这种状态会对你的工作绩效有阻碍和消极影响。需要适当自我调节，或临时性从压力环境中解脱。");
        VERBAL_TRICK.put(EvaluationStateEnum.WORKING_PRESSURE_HIGH, "你的工作压力得分高，说明你的工作让你感到压力过大。这种状态会对你的工作绩效有阻碍和消极影响，如长期得不到解决，会导致生理，心理和行为的一系列的异常反应。请务必加以重视并在困惑时积极向外界寻求帮助。");
        VERBAL_TRICK.put(EvaluationStateEnum.WORKING_PRESSURE_HIGH_MAX, "你的工作压力得分极高，说明你的工作让你感到压力极大。长期处于这种状态会对你的身心健康造成很大的伤害。请务必加以重视并在困惑时积极向外界寻求帮助。");
    }


}
