package com.jiankangyouyi.cloud.evaluation.model.dto;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.EvaluationStandardParamSetDO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * 生成测评报告校验参数传输数据
 *
 * @author wanggang
 **/
@Getter
@Setter
@AllArgsConstructor
public class EvaluationDataSaveValidatorDTO {

    /**
     * 用户入参信息
     */
    private Map<String, Object> evaluationParams;

    /**
     * 标准入参信息
     */
    private EvaluationStandardParamSetDO evaluationStandardParamSet;
}
