package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 查询用户测评状态请求参数
 *
 * @author wangshuang
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class EvaluationUserStateDTO extends AbstractHttpApiRequestDTO {


    @NotBlank(message = "用户Id不能为空")
    private String userId;

    private PageInfo pageInfo;

}
