package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 查询服务包用户的基本信息请求参数
 *
 * @author wangshuang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ManageUserLoadDTO extends AbstractApiRequest {


    @NotNull(message = "用户Id不能为空")
    private String userId;

    @NotNull(message = "应用Id不能为空")
    private String appId;

    @Override
    public String customCheck() {
        return null;
    }
}
