package com.jiankangyouyi.cloud.evaluation.model.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 用户基本信息
 *
 * @author wanggang
 **/
@Getter
@Setter
public class UserBasicParamDTO {

    /**
     * 用户id
     */
    private String userId;

    /**
     * 出生日期 yyyy-MM-dd
     */
    private String birthday;

    /**
     * 性别
     */
    private String gender;

    /**
     * 身高
     */
    private String height;

    /**
     * 体重
     */
    private String weight;

    /**
     * 腰围
     */
    private String waist;
    /**
     * 用户劳动强度
     */
    private String userActivityLevel;

}
