package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 产后抑郁症测评问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class CHYYZCPQuestionnaireParseResultDTO {

    /**
     *对生活的热爱程度（单选）
     */
    private List<String> loveLife;
    /**
     *对未来的期待（单选）
     */
    private List<String> hopeFuture;

    /**
     *自责程度（单选）
     */
    private List<String> selfAccusation;

    /**
     *焦虑程度（单选）
     */
    private List<String> anxious;

    /**
     *惊恐程度（单选）
     */
    private List<String> terrified;

    /**
     *处理问题能力（单选）
     */
    private List<String> dealingProblems;

    /**
     *失眠程度（单选）
     */
    private List<String> insomnia;

    /**
     *悲伤程度（单选）
     */
    private List<String> sadness;

    /**
     *哭泣程度（单选）
     */
    private List<String> cry;

    /**
     *自伤意念（单选）
     */
    private List<String> selfInjurious;

    /**
     *生产方式（单选）
     */
    private List<String> productionMode;

}
