package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 肥胖风险测评问卷解析结果
 *
 * @author wanggang
 **/
@Getter
@Setter
public class FPFXPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 发胖时间（单选）
     */
    private List<String> fatTime;

    /**
     * 异常症状（多选）
     */
    private List<String> diet;

    /**
     * 饮食习惯（多选）
     */
    private List<String> dietHabit;

    /**
     * 运动情况（单选）
     */
    private List<String> sport;

    /**
     * 睡眠情况（多选）
     */
    private List<String> sleep;

    /**
     * 心理情况（单选）
     */
    private List<String> psychology;

    /**
     * 排便情况（多选）
     */
    private List<String> defecation;

    /**
     * 用药情况（单选）
     */
    private List<String> medication;


    /**
     * 既往史（多选）
     */
    private List<String> pastHistory;


}
