package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 冠心病问卷解析结果
 *
 * @author dongle
 **/
@Getter
@Setter
public class GXBPCQuestionnaireParseResultDTO {

    /**
     * 既往史（多选）
     */
    private List<String> pastHistory;

    /**
     * 异常症状（多选）
     */
    private List<String> abnormalSymptoms;

    /**
     * 冠心病家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 饮酒（单选）
     */
    private List<String> drink;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;

    /**
     * 心理（单选）
     */
    private List<String> psychology;

    /**
     * 饮食情况(多选)
     */
    private List<String> diet;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

}
