package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 高血压 问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class GXYPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

    /**
     * 既往史
     */
    private List<String> pastHistory;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 异常症状（多选）
     */
    private List<String> abnormalSymptoms;

    /**
     * 饮酒情况（单选）
     */
    private List<String> drink;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;


    /**
     * 睡眠情况
     */
    private List<String> sleep;

    /**
     * 心理（单选）
     */
    private List<String> psychology;


    /**
     * 饮食情况
     */
    private List<String> diet;

    /**
     * 运动（单选）
     */
    private List<String> sport;


}
