package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 骨质疏松 问卷解析结果
 *
 **/
@Getter
@Setter
public class GZSSPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;
    private List<String> currentHeight;
    private List<String> steroids;
    private List<String> calciumPreparation;
    private List<String> drinkCoffee;
    private List<String> activityTime;
    /**
     * 既往史(多选)
     */
    private List<String> pastHistory;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;

    /**
     * 饮酒情况
     */
    private List<String> drink;

    /**
     * 饮食情况
     */
    private List<String> diet;

}
