package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 颈椎病解析结果
 *
 * @author wanggang
 **/
@Getter
@Setter
public class JZBPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度(单选)
     */
    private String userActivityLevel;

    /**
     * 既往史(多选)
     */
    private List<String> pastHistory;

    /**
     * 异常症状(多选)
     */
    private List<String> abnormalSymptoms;

    /**
     * 长时间低头(单选)
     */
    private List<String> bow;

    /**
     * 长时间看电视/书(单选)
     */
    private List<String> tvOrBook;

    /**
     * 紧张焦虑(单选)
     */
    private List<String> nervousness;

    /**
     * 不良睡姿(多选)
     */
    private List<String> sleepingPosition;

    /**
     * 睡枕过高(单选)
     */
    private List<String> sleepingPillow;


}
