package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 问卷解析结果
 * 甲状腺风险评测
 * @author Ashon
 **/
@Getter
@Setter
public class JZXCPQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     * 单选
     */
    private String userActivityLevel;

    /**
     * 家族史
     * 单选
     */
    private List<String> familyHistory;

    /**
     * 既往史
     * 多选
     */
    private List<String> pastHistory;

    /**
     * 异常症状
     * 多选
     */
    private List<String> abnormalSymptoms;

    /**
     * 抽烟
     * 单选
     */
    private List<String> smoke;

    /**
     * 饮酒
     * 单选
     */
    private List<String> drink;

    /**
     * 运动
     * 单选
     */
    private List<String> sport;


    /**
     * 接触电离辐射
     * 单选
     */
    private List<String> ionizingRadiation;

    /**
     * 不良生活方式
     * 多选
     */
    private List<String> badLifestyle;

    /**
     * 碘摄入
     * 单选
     */
    private List<String> iodineIntake;

    /**
     * 饮食情况
     * 多选
     */
    private List<String> diet;


    /**
     * 睡眠情况
     * 多选
     */
    private List<String> sleep;

}
