package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 脑卒中
 * 问卷解析结果
 *
 * @author Ashon
 **/
@Getter
@Setter
public class NCZCPQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

    /**
     * 家族史（单选）
     */
    private List<String> strokeFamilyHistory;

    /**
     * 脑卒中病史（单选）
     */
    private List<String> medicalHistory;

    /**
     * 既往史
     */
    private List<String> pastHistory;

    /**
     * 异常症状（多选）
     */
    private List<String> abnormalSymptoms;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;

    /**
     * 饮酒情况
     */
    private List<String> drink;

    /**
     * 饮食情况
     */
    private List<String> diet;

    /**
     * 心理（单选）
     */
    private List<String> psychology;

}
