package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 糖尿病问卷解析结果
 *
 * @author wanggang
 **/
@Getter
@Setter
public class TNBPCQuestionnaireParseResultDTO {

    /**
     * 用户活动强度
     */
    private String userActivityLevel;

    /**
     * 糖尿病家族史（单选）
     */
    private List<String> diabetesFamilyHistory;

    /**
     * 既往史
     */
    private List<String> pastHistory;

    /**
     * 异常症状（多选）
     */
    private List<String> abnormalSymptoms;

    /**
     * 吸烟及二手烟
     */
    private List<String> smoke;

    /**
     * 睡眠情况
     */
    private List<String> sleep;

    /**
     * 饮食情况
     */
    private List<String> diet;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 心理（单选）
     */
    private List<String> psychology;

}
