package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 抑郁情绪问卷解析结果
 *
 * @author wangshuang
 **/
@Getter
@Setter
public class YYZPCPQuestionnaireParseResultDTO {

    /**
     *	整体情绪差的时间占比（单选）
     */
    private List<String> wholeMoodBad;

    /**
     *	早晨情绪最差的时间占比（单选）
     */
    private List<String> morningMoodBad;

    /**
     *想哭的时间占比（单选）
     */
    private List<String> cry;

    /**
     *	睡眠差的时间占比（单选）
     */
    private List<String> sleepBad;

    /**
     *饮食差的时间占比（单选）
     */
    private List<String> dietBad;

    /**
     *	性兴趣降低的时间占比（单选）
     */
    private List<String> sexInterestBad;

    /**
     *	体重下降的时间占比（单选）
     */
    private List<String> weightDown;

    /**
     *	便秘的时间占比（单选）
     */
    private List<String> defecationBad;

    /**
     *心跳加快的时间占比（单选）
     */
    private List<String> heartbeatFast;

    /**
     *疲乏的时间占比（单选）
     */
    private List<String> tired;

    /**
     *思考能力下降的时间占比（单选）
     */
    private List<String> thinkingAbilityBad;

    /**
     *做事感觉阻力变大的时间占比（单选）
     */
    private List<String> workResistanceBig;

    /**
     *	焦虑的时间占比（单选）
     */
    private List<String> anxious;

    /**
     *	绝望的时间占比（单选）
     */
    private List<String> despair;

    /**
     *易激动的时间占比（单选）
     */
    private List<String> excitement;

    /**
     *犹豫不定的时间占比（单选）
     */
    private List<String> hesitant;

    /**
     *自我效能感下降的时间占比（单选）
     */
    private List<String> selfEfficacyDown;

    /**
     *缺乏动力的时间占比（单选）
     */
    private List<String> powerDown;

    /**
     *自杀意念的时间占比（单选）
     */
    private List<String> suicide;

    /**
     *对生活兴趣降低的时间占比（单选）
     */
    private List<String> lifeInterest;


}
