package com.jiankangyouyi.cloud.evaluation.model.dto.parseresult;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 脂肪肝问卷解析结果
 *
 * @author lvhaoran
 **/
@Getter
@Setter
public class ZFGCPQuestionnaireParseResultDTO {

    /**
     * 既往史 (多选)
     */
    private List<String> pastHistory;

    /**
     * 饮食情况 (多选)
     */
    private List<String> diet;

    /**
     * 饮食喜欢 (多选)
     */
    private List<String> dietPreference;

    /**
     * 饮酒（单选）
     */
    private List<String> drink;

    /**
     * 运动（单选）
     */
    private List<String> sport;

    /**
     * 劳动强度（单选）
     */
    private String userActivityLevel;

    /**
     * 紧张焦虑（单选）
     */
    private List<String> nervousness;

    /**
     * 家族史（单选）
     */
    private List<String> familyHistory;

    /**
     * 类固醇激素（单选）
     */
    private List<String> steroids;

    /**
     * 睡眠情况（单选）
     */
    private List<String> sleep;

    /**
     * 节食减肥（单选）
     */
    private List<String> dieting;

}
