package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template.EvaluationTemplate2Bean;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 评估管理方案
 *
 * @author yangsongbo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EvaluationHealthGuide2Bean {


    /**
     * 测评报告名称
     */
    private String name;
    /**
     * 备注
     */
    private List<String> remarkList;

    /**
     * 评估报告内容
     */
    private List<EvaluationTemplate2Bean> content;


}
