package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 用户的评测选项
 *
 * @author yangsongbo
 * @since v1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class EvaluationUserOptions2Bean {

    /**
     * 问题编号
     */
    private String questionCode;

    /**
     * 选项编号
     */
    private List<String> optionCodes;


}
