package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 相关检查模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CorrelationCheckTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 温馨提示
     */
    private List<String> warmPrompt;

    /**
     * 内容
     */
    private List<CheckUpContent> checkUpContents;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class CheckUpContent {
        /**
         * 子标题
         */
        private String checkUpName;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> checkUpContent;

    }


}
