package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 肥胖测评结果概览
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FatEvaluationResultOverviewTemplate implements IEvaluationTemplate2 {
    /**
     * 测评名称
     */
    private String evaluationName;

    /**
     * 标题
     */
    private String title;
    /**
     * 测评状态
     */
    private String evaluationState;

    /**
     * 测评状态描述
     */
    private String evaluationStateDesc;

    /**
     * 性别
     */
    private String gender;
    /**
     * 年龄
     */
    private String age;

    /**
     * bmi
     */
    private String bmi;

    /**
     * 温馨提示
     */
    private List<String> warmPromptList;

}
