package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import java.util.List;

import lombok.*;

/**
 * 高危人群
 *
 * @author : lvhaoran
 * @date Date : 2019年12月02日
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HighRiskPopulationTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 图片
     */
    private String imgUrl;

    /**
     * 内容
     */
    private List<String> contentList;
}
