package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 生活方式模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 标题
     */
    private String subTitle;


    /**
     * 生活方式列表
     */
    private List<LifeStyle> lifeStyleList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class LifeStyle {
        /**
         * 子标题
         */
        private String lifeStyleName;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 生活方式内容
         */
        private List<String> lifeStyleContents;

    }


}
