package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 主要风险风险因素模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MainRiskFactorTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private List<MainRiskFactor> mainRiskFactorList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class MainRiskFactor {
        /**
         * 子标题
         */
        private String subTitle;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> mainRiskFactorContents;

    }


}
