package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 心理模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PsychologyTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;
    /**
     * 子标题
     */
    private String subTitle;


    /**
     * 内容
     */
    private List<PsychologySubContent> psychologyList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class PsychologySubContent {
        /**
         * 子标题
         */
        private String psychologyName;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> psychologyContents;

    }


}
