package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 风险因素汇总模板
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RiskFactorTotalTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private List<SummaryRiskFactor> summaryRiskFactorList;

    @Getter
    @Setter
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class SummaryRiskFactor {
        /**
         * 子标题
         */
        private String subTitle;
        /**
         * 图片
         */
        private String imgUrl;
        /**
         * 内容
         */
        private List<String> summaryRiskList;

    }


}
