package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.*;

import java.util.List;

/**
 * 风险识别预警模板
 *
 * @author: Ashon
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RiskWarningTemplate implements IEvaluationTemplate2 {
    /**
     * 标题
     */
    private String title;

    /**
     * 风险因素
     */
    private List<String> riskWarningList;

    /**
     * 备注
     */
    private String remark;


}
