package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * 标题图片解释（集合）
 *
 * @author wangshuang
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TitleImageExplainListTemplate implements IEvaluationTemplate2  ,  IDietList{
    /**
     * 标题
     */
    private String title;
    /**
     * 图片
     */
    private String imgUrl;

    /**
     * 解释
     */
    private List<String> explainList;

}
