package com.jiankangyouyi.cloud.evaluation.model.entity.mongo.template;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 工作压力测评结果
 *
 * @author june
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class WorkStressResultTemplate implements IEvaluationTemplate2 {

    /**
     * 标题
     */
    private String title;
    /**
     * 结果说明
     */
    private String explain;
    /**
     * 当前得分
     */
    private BigDecimal score;
    /**
     * 最大分值
     */
    private BigDecimal maxScore;
    /**
     * 测评结果编码
     */
    private String resultCode;
    /**
     * 测评结果名称
     */
    private String resultName;


}
