package com.jiankangyouyi.cloud.evaluation.model.vo;

import com.jiankangyouyi.cloud.evaluation.model.dto.PageInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 查询测评用户状态响应信息
 *
 * @author wangshuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EvaluationUserState2VO {
    private List<UserState> userReportList;

    private PageInfo pageInfo;

    private String userId;

    @Data
    public static class UserState {
        /**
         * 报告ID
         */
        private String reportId;
        /**
         * 测评时间
         * yyyy-MM-dd HH:mm:ss
         */
        private String evaluationTime;
        /**
         * 报告名称
         */
        private String reportName;
        /**
         * 测评编码
         */
        private String evaluationCode;
    }
}
