package com.jiankangyouyi.cloud.motorplan.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lvqidong
 */

@Getter
@AllArgsConstructor
public enum BizTypeEnum {

    /**
     * 运动干预方案
     */
    STR_032501("032501", "运动干预方案"),

    /**
     * 生活方式
     */
    STR_190101("190101", "生活方式"),

    /**
     * 效果评估
     */
    MIDDLE_200101("200101", "效果评估"),

    ;

    private String bizType;

    private String describe;
}
