package com.jiankangyouyi.cloud.motorplan.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 记录日志操作类型
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum OperateTypeEnum implements BaseEnum {

    /**
     * 保存
     */
    ACCOUNT_SAVE("ACCOUNT_SAVE", "保存"),

    /**
     * 修改
     */
    ACCOUNT_UPDATE("ACCOUNT_UPDATE", "修改"),

    /**
     * 删除
     */
    ACCOUNT_DELETE("ACCOUNT_DELETE", "删除"),


    ;

    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }

}
