package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:29 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActionGroupConfigResult {
    /***
     * 热身动作组合配置
     */
    private WarmupActonGroup warmupActonGroup;
    /**
     * 拉伸动作组合配置
     */
    private StretchActionGroup stretchActionGroup;
    /**
     * 训练动作组合配置
     */
    private TrainingActionGroup trainingActionGroup;
    /**
     * 自定义动作组合配置
     */
    private SystemExerciseGroup systemExerciseGroup;

}
