package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.dto.AcquireCoursePlanDTO;
import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.ExerciseCoursePlanDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * @author ：wangyalei
 * @date ：2022/1/27 2:59 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ExerciseCoursePlanBean {
    /**
     * 课程信息
     */
    private ExerciseCoursePlanDO exerciseCoursePlanDO;
    /**
     * 动作组合结果
     */
    private ActionGroupConfigResult ActionGroupConfigResult;
    /**
     * 动作难度
     */
    private List<String> actionDifficulties;
    /**
     * 请求参数
     */
    private AcquireCoursePlanDTO acquireCoursePlanDTO;

}
