package com.jiankangyouyi.cloud.motorplan.model.bean;

import com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.ExerciseCourseProjectConfig;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:30 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ExerciseCourseProjectConfigResult {
    /**
     * 管理目标
     */
    private List<String> managementGoals;
    /**
     * 注意事项
     */
    private List<String> attentionItems;
    /**
     * 视频课程禁忌动作属性
     */
    private List<String> forbidActionProperties;
    /**
     * 系统课程禁忌动作属性
     */
    private List<String> systemForbidActionProperties;
    /**
     * 运动频率
     */
    private String exerciseFrequencyDesc;
    /**
     * 用户BMI
     */
    private Double bmi;
    /**
     * 干预方案配置
     */
    private ExerciseCourseProjectConfig exerciseCourseProjectConfig;

}
