package com.jiankangyouyi.cloud.motorplan.model.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:28 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RelationActionHandlerResult {
    /***
     * 关联动作Id
     */
    private String relationId;
    /**
     * 是否有关联动作
     */
    private Boolean relation;
    /**
     * 动作产生热量
     */
    private Integer heat;
    /**
     * 动作产生时间 / 毫秒
     */
    private long timeMilliseconds;
}
