package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 动作搜索
 *
 * @author : lvhaoran
 * @date Date : 2022年12月09日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCourseActionReplaceSearchDTO extends AbstractHttpApiRequestDTO {
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32, message = "请求参数 userId 超过最大有效长度 32")
    private String userId;
    @NotBlank(message = "请求参数 byReplaceActionName 不能为空")
    @Size(max = 50, message = "请求参数 userId 超过最大有效长度 32")
    private String byReplaceActionName;
}
