package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author ：wangyalei
 * @date ：2021/11/3 2:38 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ExerciseLimitsDTO extends AbstractHttpApiRequestDTO {
    /**
     * 配置ID
     */
    @NotBlank(message = "请求参数 configId 不能为空")
    private String configId;

}
