package com.jiankangyouyi.cloud.motorplan.model.dto;

import com.jiankangyouyi.cloud.motorplan.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/7 6:40 下午
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
public class LatestCourseParamDTO extends AbstractHttpApiRequestDTO {
    /**
     * 用户id
     */
    @NotBlank(message = "请求参数 userId 不能为空")
    @Size(max = 32,message = "请求参数 userId 超过最大有效长度 32")
    private String userId;
}
