package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionTimeConfig {
    /**
     * 时间配置
     */
    private TimeConfig timeConfig;
    /**
     * 时间配置 BMI 条件
     */
    private List<TimeConfigBmiCondition> timeConfigBmiConditions;


}
