package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:18 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AthleticAbilityConfig {
    /**
     * 运动能力和训练强度关系
     */
    private List<AthleticAbilityRelation> athleticAbilityRelations;
    /**
     * 运动能力和训练强度关系 BMI 条件配置
     */
    private List<AthleticAbilityConfigBmiCondition> athleticAbilityConfigBmiConditions;
}
