package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/23 6:20 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AthleticAbilityRelation {
    /**
     * 运动能力 1、低 2、中 3、高
     */
    private Integer athleticAbility;
    /**
     * 方案编号列表
     */
    private List<String> projectNums;
    /**
     * 动作难度 1、一级 2、二级 3、三级 4、四级 5、五级
     */
    private List<String> actionDifficulties;

}
