package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:32 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AttentionItem {
    /**
     * 注意事项
     */
    private List<AttentionItemDetail> attentionItems;
    /**
     * 注意事项 BMI 条件
     */
    private List<AttentionItemBmiCondition> attentionItemBmiConditions;

}
