package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:31 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseFrequency {
    /**
     * 运动频率描述
     */
    private String exerciseFrequencyDesc;
    /**
     * 运动频率描述 BMI 条件
     */
    private List<ExerciseFrequencyBmiCondition> exerciseFrequencyBmiConditions;
}
