package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:15 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ForbidActionProperty {
    /**
     * 禁止动作属性
     */
    private List<String> forbidActionProperties;
    /**
     * 禁忌动作BMI 条件配置
     */
    private List<ForbidActionPropertyBmiCondition> forbidActionPropertyBmiConditions;
}
