package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 11:05 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RestTimeConfigComponent {
    /**
     * 训练强度
     */
    @Size(max = 32,message = "请求参数 trainingIntensity 最大长度 32")
    private String trainingIntensity;
    /**
     * 修饰时间规格
     */
    @Size(max = 32,message = "请求参数 videoRestSize 最大长度 32")
    private String videoRestSize;
    /**
     * 动作个数
     */
    @Size(max = 50,message = "请求参数 actionCount 最大长度 50")
    @Builder.Default
    private Integer actionCount = 6;
}
