package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/9 3:26 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RestTimeGroup {
    /**
     * 当前组合编号
     */
    private String currentGroupNum;
    /**
     * 下一个组合编号
     */
    private String nextGroupNum;
    /**
     * 处理类型 1、百分比 2、动作个数
     */
    private Integer handlerType;
    /**
     * 动作个数
     */
    private Integer actionCount;
    /**
     * 训练动作课程完成百分比
     */
    private Double courseFinishPercent;
    /**
     * 休息时间规格
     */
    private String videoRestSize;
}
