package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:42 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StretchActionBmiCondition {
    /**
     * 开始值
     */
    @Builder.Default
    private Double startValue = 0.0;
    /**
     * 结束值
     */
    @Builder.Default
    private Double endValue = 0.0;
    /**
     * 拉伸动作组合
     */
    private List<StretchActionGroup> stretchActionGroups;
}
