package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 1:25 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseRemindDescription {
    /**
     * 运动能力、运动类型、运动提醒描述关联关系
     */
    private List<AthleticAbilityExerciseTypeAndDescriptionRelation> athleticAbilityExerciseTypeAndDescriptionRelations;
    /**
     * 运动能力、运动类型、运动提醒描述关联关系 BMI 条件
     */
    private List<SystemExerciseRemindDescriptionBmiCondition> systemExerciseRemindDescriptionBmiConditions;

}
