package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2021/10/21 11:19 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SystemExerciseTabooLabel {
    /**
     * 禁忌标签 （指运动库动作特点）
     */
    private List<String> tabooLabels;
    /**
     * 禁忌标签 （指运动库动作特点）BMI 条件
     */
    List<SystemExerciseTabooLabelBmiCondition> systemExerciseTabooLabelBmiConditions;
}
