package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 11:35 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TrainingAction {
    /**
     * 训练动作组合 当 训练动作组合 bmi 条件 为空时 有值
     */
    private List<TrainingActionGroup> trainingActionGroups;
    /**
     * 训练动作组合 bmi 条件
     */
    private List<TrainingActionBmiCondition> trainingActionBmiConditions;

}
