package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/18 11:02 上午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TrainingRestTimeConfig {
    /**
     * 休息时间配置组合
     */
    private List<RestTimeGroup> restTimeGroups;
    /**
     * 休息时间配置 BMI 条件
     */
    private List<TrainingRestTimeConfigBmiCondition> trainingRestTimeConfigBmiConditions;

}
