package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:30 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WarmupAction {
    /**
     * 热身动作组合 当 热身动作BMI 条件 为空时 有值
     */
    private WarmupActonGroup warmupActonGroup;
    /**
     * 热身动作BMI 条件
     */
    private List<WarmupActonBmiCondition> warmupActonBmiConditions;
}
