package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 动作难度配置
 * @author ：wangyalei
 * @date ：2022/4/27 3:28 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionDifficultyConfig {
    /**
     * 等级
     */
    private Integer grade;
    /**
     * 难度列表
     */
    private List<String> difficultyList;

}
