package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import com.jiankangyouyi.cloud.motorplan.enums.ConditionGradeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 运动频率配置
 * @author ：wangyalei
 * @date ：2022/4/27 1:42 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseFrequencyConfig {
    /**
     * 等级
     */
    private Integer grade;
    /**
     * 天数
     */
    private Integer days;
}
