package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 休息视频配置
 *
 * @author ：wangyalei
 * @date ：Created in 2021/7/5 5:45 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RestVideoConfig {
    /**
     * 等级
     */
    private Integer grade;
    /**
     * 动作个数
     */
    private Integer actionCount;
    /**
     * 视频规格
     */
    private String videoSize;




}
