package com.jiankangyouyi.cloud.motorplan.model.entity.mongo.component.v3;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 拉伸动作组合
 * @author ：wangyalei
 * @date ：2022/4/27 5:16 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StretchActionGroup {
    /**
     * 计划编号
     */
    private String planNum;
    /**
     * 运动类型 （1、有氧 2、抗阻）
     */
    private String exerciseType;
    /**
     * 动作分类
     */
    private List<String> actionClassifications;
    /**
     * 动作体位
     */
    private List<String> actionPositions;
    /**
     * 训练肌群
     */
    private List<String> trainPositions;

}
