package com.jiankangyouyi.cloud.motorplan.model.vo;

import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/2 3:24 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseCoursePlanListVO2 {
    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;
    /**
     * 课程信息
     */
    private List<ExerciseCoursePlanInfoVO2> exerciseCoursePlanList;
    /**
     * 首次生成课程日期
     */
    private String firstCreateCoursePlanDate;
}
