package com.jiankangyouyi.cloud.motorplan.model.vo;

import lombok.Data;

/**
 * 康复课程信息
 *
 * @author : june
 * @date: 2022/12/13 10:24
 **/
@Data
public class RecoveryCourseDetailVO {


    private String id;
    private String courseId;
    /**
     * 疾病代码
     */
    private String diseaseType;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 教练性别
     */
    private String coachGender;
    /**
     * 课程地址
     */
    private String courseM3u81080Url;
    /**
     * 课程秒数
     */
    private Integer courseTimeSeconds;
    /**
     * 课程热量
     */
    private Integer courseEnergy;
    /**
     * 运动能力
     */
    private Integer athleticAbility;
    /**
     * 课程难度
     */
    private Integer courseDifficulties;
    /**
     * 课程强度
     */
    private Integer courseIntensity;
    /**
     * 运动水平
     */
    private Integer exerciseLevel;

    /**
     * 视频封面地址
     */
    private String courseImageUrl;

}
