package com.jiankangyouyi.cloud.motorplan.model.vo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 替换信息
 *
 * @author : lvhaoran
 * @date Date : 2022年12月09日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ReplaceInfo {
    private String replaceActionId;

    private String replaceActionName;

    private Integer byReplaceactionCount;

    private List<ByReplaceActionInfo> byReplaceActionList;
}
